跳转到内容

MiniMax Voice Cloning

集成

模型 id minimax/voice-clone
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/minimax/voice-clone?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $1.52 1,520 API 积分 · ≈ ₽159.14 运行前会测量你的文件 在此页面运行

获取 API 密钥
MiniMax · 音频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

0 / 1000

可选文本,用于使用克隆声音合成预览。

•必填 audio_url
拖放文件,或

指向声音克隆录音的 URL。声音首次用于文本转语音 (TTS) 路由后会永久保留;必须在 7 天内完成首次使用,否则会自动删除。源录音时长应至少为 10 秒。

高级 model · accuracy · enable_safety_checker · noise_reduction · need_volume_normalization
model 默认 speech-02-hd

预览使用的语音合成模型:speech-02-hd、speech-02-turbo、speech-01-hd 或 speech-01-turbo。

文本验证的准确度阈值,范围为 0 到 1。

POST /run/minimax/voice-clone?wait=20 报价 → $1.52
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/minimax/voice-clone?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 MiniMax Voice Cloning

接收 `audio_url` 中的示例音频,该音频应至少 10 秒,并创建自定义音色。响应包含供后续 TTS 使用的 `custom_voice_id`。预览会使用 `text`(最多 1000 个字符)和以下 `model` 选项之一进行朗读:speech-02-hd、speech-02-turbo、speech-01-hd 和 speech-01-turbo。选项包括 `noise_reduction` 和 `need_volume_normalization`。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
audio_url必填 audio
类型url · audio
指向声音克隆录音的 URL。声音首次用于文本转语音 (TTS) 路由后会永久保留;必须在 7 天内完成首次使用,否则会自动删除。源录音时长应至少为 10 秒。
noise_reduction可选
类型boolean
默认值false
对克隆声音应用降噪。
need_volume_normalization可选
类型boolean
默认值false
对克隆声音应用音量标准化。
accuracy可选
类型number | null
0 – 1
文本验证的准确度阈值,范围为 0 到 1。
text可选
类型string | null
默认值Hello, this is a preview of your cloned voice! I hope you like it!
≤ 1,000 个字符
可选文本,用于使用克隆声音合成预览。
model可选
类型enum
默认值speech-02-hd
speech-02-hdspeech-02-turbospeech-01-hdspeech-01-turbo
预览使用的语音合成模型:speech-02-hd、speech-02-turbo、speech-01-hd 或 speech-01-turbo。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/voice-clone",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1520,
    "usd": "1.52",
    "charged": 1520,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "custom_voice_id": "string",
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
custom_voice_id
string用于在 TTS 中使用克隆声音的标识符。
audio
object {url, content_type, file_name, file_size} | null请求时使用克隆声音合成的音频预览。

更多模型:文本转语音

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/minimax/voice-clone.md. 所有模型和指南: https://doitong.com/developers/llms.txt